apiVersion: v1
kind: PersistentVolume
metadata:
  name: satisfactory
  labels:
    app.kubernetes.io/name: satisfactory
spec:
  storageClassName: ""
  capacity:
    storage: 30Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.1.10 # ip addres of nfs server
    path: "/volume1/kubernetes/satisfactorynew" # path to directory